import { line } from 'd3';
export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  colorDot,
  tooltipFormat,
  circleRadius,
}) => (
  <>
    <path
      fill="None"
      stroke="#000000"
      filter= "drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25))"
      d={line()
        .x((d) => xScale(xValue(d)))
        .y((d) => yScale(yValue(d)))(data)}
    />
    {data.map((d) => (
      <circle
        className= {colorDot(yValue(d))}
        cx={xScale(xValue(d))}
        cy={yScale(yValue(d))}
        r={circleRadius}
      >
        <title>{"Risk Value: "+tooltipFormat(yValue(d))+"%"}</title>
      </circle>
    ))}
    <path
      stroke="#D64242"
      strokeDasharray = "5,5" 
      fill="None"
      d={line()
        .x((d) => xScale(xValue(d)))
        .y((d) => yScale(75))(data)}
    />
    <path
      stroke="#FFA666"
      strokeDasharray = "5,5" 
      fill="None"
      d={line()
        .x((d) => xScale(xValue(d)))
        .y((d) => yScale(50))(data)}
    />
  </>
);
