export const OuterBox = ({
  bbHeight,
  bbWidth,
  bbX,
  bbY,
}) => (
  <rect
    class="boxShadow"
    width={bbWidth}
    height={bbHeight}
    rx="20"
    ry="20"
    x={bbX}
    y={bbY}
    style={{
      fill: 'rgb(255,255,255)',
      opacity: '0.81',
    }}
  />
);

const selectedStrokeColor = '#449231';
const notSelectedStrokeColor = '#C4C4C4';

let strokeColor = '#C4C4C4';

export const InnerBox = ({
  bbHeight,
  bbWidth,
  bbX,
  bbY,
  isSelected,
  handleSelection,
  itemPos = {itemPos}
}) => {
  strokeColor = isSelected
    ? selectedStrokeColor
    : notSelectedStrokeColor;

  return (
    <rect
      width={bbWidth}
      height={bbHeight}
      x={bbX}
      y={bbY}
      stroke={strokeColor}
      style={{
        fill: 'rgb(255,255,255)',
        strokeWidth: '2',
      }}
      onClick={() => {handleSelection({itemPos})} }
    />
  );
};

export const TagBox = ({
  bbHeight,
  bbWidth,
  bbX,
  bbY,
  indicator,
  content,
  isSelected
}) => {
  if(indicator == 0)
  {
   strokeColor = '#449231'
  }
  else if (indicator == 1)
  {
   strokeColor = '#EA965A';

  }
  else
  {
    strokeColor = '#D64242';
  }
  
  if(!isSelected)
  {
    strokeColor = '#C4C4C4';
  }

  return (
    <g>
      <rect
        width={bbWidth}
        height={bbHeight}
        rx="10"
        ry="10"
        x={bbX}
        y={bbY}
        stroke={strokeColor}
        style={{
          fill: 'rgb(255,255,255)',
          strokeWidth: '1',
        }}
      />
      <text
        x={bbX}
        y={bbY}
        class = "textStyleUncolored"
        dx = {15}
        dy = {15}
        font-size="12"
        font-weight="400"
        fill={strokeColor}
      >
        {content}
      </text>
    </g>
  );
};
